<?php
/**
 * EPL Functions
 *
 * @link www.egroupware.org
 * @author rb(at)egroupware.org
 * @copyright (c) 2009-16 by rb(at)egroupware.org
 * @package epl
 * @subpackage setup
 * @version $Id: default_records.inc.php 4344 2016-08-06 10:21:11Z ralfbecker $
 */

use EGroupware\Api;
use EGroupware\Api\Vfs;

Vfs::$is_root = true;
// mount the new stylite links stream wrapper
Vfs::mount('stylite.links://default/apps','/apps',false);
// mount EPL document dir "under" /templates
Vfs::mount('stylite.merge://default/templates?merge=stylite/printtemplates&lang=1','/templates',false);
Vfs::$is_root = false;

// give Admins group rights for stylite app
$admingroup = $GLOBALS['egw_setup']->add_account('Admins','Admin','Group',False,False);
$GLOBALS['egw_setup']->add_acl('stylite','run',$admingroup);
// give Default group rights for stylite app
$defaultgroup = $GLOBALS['egw_setup']->add_account('Default','Default','Group',False,False);
$GLOBALS['egw_setup']->add_acl('stylite','run',$defaultgroup);

// request 30day demo license
try {
	if (!empty($_SERVER['TRAVIS'])) return;
	$licensekey = stylite_license_bo::request_license('demo', 'demo');

	if (!empty($licensekey))
	{
		Api\Config::save_value('epllicensekey', $licensekey, 'phpgwapi');
		error_log("EPL demo license key successful requested and stored.");
	}
}
catch (Exception $ex)
{
	_egw_log_exception($ex);
}
