<?php
/**
 * EPL Functions
 *
 * @link www.egroupware.org
 * @author rb(at)egroupware.org
 * @copyright (c) 2009-16 by rb(at)egroupware.org
 * @package epl
 * @subpackage setup
 * @version $Id$
 */

use EGroupware\Api;

function stylite_upgrade9_2()
{
	// give Admins group rights for stylite app
	$admingroup = $GLOBALS['egw_setup']->add_account('Admins','Admin','Group',False,False);
	$GLOBALS['egw_setup']->add_acl('stylite','run',$admingroup);
	// give Default group rights for stylite app
	$defaultgroup = $GLOBALS['egw_setup']->add_account('Default','Default','Group',False,False);
	$GLOBALS['egw_setup']->add_acl('stylite','run',$defaultgroup);

	return $GLOBALS['setup_info']['stylite']['currentver'] = '10.1';
}

/**
 * mount EPL document dir "under" /templates
 */
function stylite_upgrade10_1()
{
	Api\Vfs::$is_root = true;
	Api\Vfs::mount('stylite.merge://default/templates?merge=stylite/printtemplates&lang=1','/templates');
	Api\Vfs::$is_root = false;

	return $GLOBALS['setup_info']['stylite']['currentver'] = '11.1';
}

/**
 * Bump version to 14.1
 */
function stylite_upgrade11_1()
{
	return $GLOBALS['setup_info']['stylite']['currentver'] = '14.1';
}

/**
 * Bump version to 14.2 and check of updated license on my.egroupware.org
 */
function stylite_upgrade14_1()
{
	$config = Api\Config::read('phpgwapi');
	if ($config['my-stylite-username'] && $config['my-stylite-password'])
	{
		try {
			$licensekey = stylite_license_bo::request_license($config['my-stylite-username'],
				$config['my-stylite-password']);

			if (!empty($licensekey) && $licensekey != $config['epllicensekey'])
			{
				Api\Config::save_value('epllicensekey', $licensekey, 'phpgwapi');
				error_log("New EPL license key successful requested and stored.");
			}
		}
		catch (Exception $ex)
		{
			_egw_log_exception($ex);
		}
	}
	return $GLOBALS['setup_info']['stylite']['currentver'] = '14.2';
}

/**
 * Bump version to 16.1 and check of updated license on my.egroupware.org
 */
function stylite_upgrade14_2()
{
	stylite_upgrade14_1();

	return $GLOBALS['setup_info']['stylite']['currentver'] = '16.1';
}

/**
 * Bump version to 17.1 and check of updated license on my.egroupware.org
 */
function stylite_upgrade16_1()
{
	stylite_upgrade14_1();

	return $GLOBALS['setup_info']['stylite']['currentver'] = '17.1';
}
